Skip to content

Retrieve a project

GET
/v1/merchants/{merchant_id}/projects/{project_id}/

Fields the user can't read, per its field permissions, have the value <redacted>.

Authorization

apiKey
headerAuthorizationBasic <token>

HTTP Basic authentication with an API key or the id of a user token as the username and an empty password.

Path Parameters

merchant_id*string

The ID of the merchant, or self for the merchant of the credentials.

project_id*string

The ID of the project, or self for the project of the API key.

Response Body

The project.

application/json
  1. response
id?string
Formatuuid
created?string
Formatdate-time
modified?|
Formatdate-time
external_project_id?string

Your identifier of the project.

apikey?string

The API key of the project. <redacted> when the user may not read it.

status*string
Value in"inactive""active-testing""active-production"
trade_name*string
description*string
website_url*string
webhook_url?|

Receives the updates of the orders of this project.

terms_and_conditions_url?|

Shown on the hosted payment page.

locale?string|null
timezone?string|null
permissions?

What the API key of the project may do. Ignored when a project changes itself.

contracts?

The contracts per payment method.

settings?

Settings of the project, such as the payment method settings.

ip_whitelist?array<string>

When set, the API key only works from these IP addresses or CIDR ranges.

curl -X GET 'https://api.example.com/v1/merchants/self/projects/b8a1c2d4-1234-4c5d-9e8f-0123456789ab/' \  --user "$API_KEY:"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "created": "2019-08-24T14:15:22Z",  "modified": "2019-08-24T14:15:22Z",  "external_project_id": "string",  "apikey": "string",  "status": "inactive",  "trade_name": "string",  "description": "string",  "website_url": "string",  "webhook_url": "string",  "terms_and_conditions_url": "string",  "locale": "string",  "timezone": "string",  "permissions": {    "property1": {      "GET": true,      "POST": true,      "PUT": true,      "DELETE": true,      "*": true    },    "property2": {      "GET": true,      "POST": true,      "PUT": true,      "DELETE": true,      "*": true    }  },  "contracts": {},  "settings": {},  "ip_whitelist": [    "string"  ]}